Subject: Re: [PATCH v3 2/2] usage: add warn_once() helper for repeated warnings

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Jun 2022 13:21:27 -0700

Derrick Stolee <[email-masked]> writes:

> We could certainly investigate this more, but it seems like a more
> problematic approach than the one taken here. We could add a "is_valid"
> bit to struct remote, but then could some code path modify that struct
> after it was validated?

Two separate parser parsing the same string to produce (supposedly)
equivalent parse results is a bit disturbing, and I am not sure if
"is_valid" bit helps that.

Adding "user" and "password" members to the struct, and retire the
existing "parser" (instead it would just use the pre-parsed
components stored in the struct) would.  It would be a much more
involved change, and it is something more than we would want to do
in a regression fix patch.

But this series is a new feature development, so...